class PdalTileParameters:
    """
    Model definition for pdal tile execution parameters
    """

    def __init__(
        self,
        out_srs: str,
        origin_x: float | None,
        origin_y: float | None,
        tile_size: int | None,
    ):
        """
        PdalTileParameters object constructor
        Args:
            out_srs (str): srs EPSG string, example: "EPSG:3857"
            origin_x: Origin in X axis for cells (default: 0)
            origin_y: Origin in Y axis for cells (default: 0)
            tile_size: Edge length for tiles (default: 1000)
        """
        self.out_srs = out_srs
        self.origin_x = origin_x if origin_x is not None else 0
        self.origin_y = origin_y if origin_y is not None else 0
        self.tile_size = tile_size if tile_size is not None else 1000
